/**
 * 初始化人才认定申报详情对话框
 */
var locked = false;
var TalentInfoInfoDlg = {
    talentInfoInfoData: {},

};

/**
 * 初始化表格的列
 */
TalentInfoInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox: false, visible: false},
        {title: '名称', field: 'name', visible: true, align: 'left', valign: 'middle', width: "70%", 'class': 'uitd_showTip',
            formatter: function (value, row, index) {
                let str = '<div class="word-wrap">';
                let highlights_by_api = ["crz"];
                let description = row.description;
                if (highlights_by_api.indexOf(row.api) > -1) {
                    value = '<span style="font-weight:bold;color:red;">' + value + '</span>';
                    description = '<span style="font-weight:bold;color:red;">' + description + '</span>';
                }
                if (row.must == 1) {
                    str = str + '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> ' + value;
                }
                if (row.must == 2) {
                    str = str + '<i class="fa fa-paste"></i>' + value;
                }
                str = str + '<br /><span id="desc_' + row.rel + '">' + description + '</span></div>'
                return str;
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle', width: "10%",
            formatter: function (value, row, index) {
                if (value == null || value == '' || value == 'null') {
                    return '';
                }
                return "<button type='button' onclick=\"TalentInfoInfoDlg.downloadFile('" + row.id + "',5)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                        "<i class=\"fa fa-download\"></i>下载" +
                        "</button>";
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle', width: "20%",
            formatter: function (value, row, index) {
                return "";
            }
        }
    ]
};

TalentInfoInfoDlg.initFileTable = function () {
    var ajax = new $ax("/common/api/findCommonFileType", function (data) {
        if (data == null || data.length == 0) {
            return;
        }
        var datas = new Array();
        for (var i = 0; i < $(".fileTable").length; i++) {
            datas.push([]);//创建空的多维数组，等下用来存每个附件表的各自的列
        }
        var enterpriseTag = $("#enterprise_tag").val();
        for (var k in data["rows"]) {
            if (data["rows"][k].enterprise_tag != "" && data["rows"][k].enterprise_tag != null && data["rows"][k].enterprise_tag.indexOf(enterpriseTag) == -1) {
                continue;
            }
            var rel = data["rows"][k].rel;
            if ($("#" + rel).length > 0) {
                if ($("#" + rel).parents(".table").length > 0) {
                    var tableIndex = $("#" + rel).parents(".table").find("table.fileTable").index(".fileTable");
                } else {
                    var tableIndex = $("#" + rel).parents(".row").next(".row").find("table.fileTable").index(".fileTable");
                }
                data["rows"][k].tableIndex = tableIndex;
                data["rows"][k].trIndex = datas[tableIndex].length;
                datas[tableIndex].push(data["rows"][k]);
                if (data["rows"][k].option) {
                    //指定了选项
                    if (rel == "birthday") {
                        let age = 0;
                        if ($("#" + rel).val()) {
                            let birthDate = new Date($("#" + rel).val());//生日日期
                            let birthYear = birthDate.getFullYear();
                            let birthMonth = birthDate.getMonth() + 1;
                            let currentDate = new Date();//当前日期
                            let currentYear = currentDate.getFullYear();
                            let currentMonth = currentDate.getMonth() + 1;
                            age = (currentYear * 12 + currentMonth - birthYear * 12 - birthMonth) / 12;
                        }
                        if (age < data["rows"][k].option)
                            data["rows"][k].hidden = true;
                    } else {
                        let selectVal = $("#" + rel).data("value").toString();
                        let options = data["rows"][k].option.split(",");
                        if (options.indexOf(selectVal) == -1) {
                            data["rows"][k].hidden = true;
                        }
                    }
                }
            } else {
                if (data["rows"][k].isConditionFile) {
                    var tableIndex = 0;
                    if ($("#talent_condition_rel").parents(".table").length > 0) {
                        tableIndex = $("#talent_condition_rel").parents(".table").find("table.fileTable").index(".fileTable");
                    } else {
                        tableIndex = $("#talent_condition_rel").parents(".row").next(".row").find("table.fileTable").index(".fileTable");
                    }
                    data["rows"][k].tableIndex = tableIndex;
                    data["rows"][k].trIndex = datas[tableIndex].length;
                    datas[tableIndex].push(data["rows"][k]);//放入人才条件后面的附件表
                } else {
                    var tableIndex = $(".fileTable").length - 2;
                    data["rows"][k].tableIndex = tableIndex;
                    data["rows"][k].trIndex = datas[tableIndex].length;
                    datas[$(".fileTable").length - 2].push(data["rows"][k]);//没有归属，放入最后一个附件表
                }
            }
        }
        for (var i = 0; i < $(".fileTable").length; i++) {
            var that = $(".fileTable").eq(i);
            that.bootstrapTable({
                columns: TalentInfoInfoDlg.initFileTypeColumn(),
                data: datas[i],
                showHeader: false,
                rowStyle: function (row, index) {
                    return {classes: ""};
                },
                onPostBody: function (data) {
                    for (var k in data) {
                        var files = data[k].files;
                        var html = '<ul class="imgs"><li style="width: 70%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 20%;font-weight: bold;padding-top: 5px;">操作</li>';
                        for (var key in files) {
                            var sn = files[key].url.lastIndexOf(".");
                            var suffix = files[key].ext;//files[key].url.substring(sn + 1, files[key].url.length);
                            var imgStr = "";
                            if (suffix == "pdf" || suffix == "PDF") {
                                imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + files[key].url + "','" + files[key].id + "','" + files[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                            } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS') {
                                imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + files[key].url + "','" + files[key].id + "','" + files[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                            } else {
                                imgStr = '<img class="imgUrl" onclick="Feng.showImg(this)" src="' + files[key].url + '" style="width:25px;height:25px;">';
                            }

                            html += '<li data-id="' + files[key].id + '">\n\
                                    <div><input type="hidden" name="uploadFiles[]" value="' + files[key].id + '"></div>\n' +
                                    '<div style="width: 70%;">' + files[key].orignName + '</div>\n' +
                                    '<div style="width: 10%;">' + imgStr + '</div>\n' +
                                    '<div style="width: 20%;"></div>\n\
                                    </li>';
                        }
                        html = html + '</ul>';
                        that.find("tr[data-index='" + k + "']").attr("data-rel", data[k]["rel"]);
                        that.find("tr[data-index='" + k + "']").attr("data-option", data[k]["option"]);
                        that.find("tr[data-index='" + k + "']").after('<tr class="detail-view"><td colspan="5">' + html + '</td></tr>');
                        if (typeof data[k].hidden != "undefined") {
                            that.find("tr[data-index='" + k + "']").css("display", "none");
                            that.find("tr[data-index='" + k + "']").next("tr.detail-view").css("display", "none");
                        }
                    }
                    $("td.uitd_showTip").bind("mouseover", function () {
                        var htm = $(this).html();
                        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
                    });
                },
            });
        }
    }, function (data) {
        Feng.error("查询失败!" + data.responseJSON.message + "!");
    });
    var queryData = {};
    queryData["mainId"] = $("#id").val();
    queryData['project'] = CONFIG.project_rcrd;
    queryData['type'] = $("#type").val();
    queryData["source"] = $("#source").data("val");
    queryData["talent_condition"] = $("#talent_condition").val();
    queryData['checkState'] = $("#checkState").val();
    ajax.set(queryData);
    ajax.start();
}

TalentInfoInfoDlg.initICFileTable = function () {
    var queryData = {};
    queryData['project'] = CONFIG.project_rcrd;
    queryData['type'] = $("#type").val();
    queryData['talent_condition'] = $("#talent_condition").val();
    queryData['checkState'] = $("#checkState").val();
    queryData['isMix'] = 1;
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/common/api/findCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false, // 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false, // 是否显示刷新按钮
        clickToSelect: true, // 是否启用点击选中行
        singleSelect: true, // 设置True 将禁止多选
        striped: true, // 是否显示行间隔色
        escape: true,
        pagination: false, // 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server", // 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true, //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData, params)
        },
        rowStyle: function (row, index) {
            return {classes: "info"};
        },
        columns: TalentInfoInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/common/api/listTalentFile", function (data) {
                if (data == null || data.length == 0) {
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li>';
                var files = $("#files").val();
                var checkState = $("#checkState").val();
                for (var key in data) {
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].ext;//files[key].url.substring(sn + 1, files[key].url.length);
                    var imgStr = "";
                    if (suffix == "pdf" || suffix == "PDF") {
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS') {
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    } else {
                        imgStr = '<img class=\"imgUrl\"  src=\"' + data[key].url + '\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">' + data[key].id + '</li>\n' +
                            '<li style="width: 80%;padding-top: 5px;">' + data[key].orignName + '</li>\n' +
                            '<li style="width: 10%;">' + imgStr + '</li>\n';
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({fullscreen: false});
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });

}


/**
 * 关闭此对话框
 */
TalentInfoInfoDlg.close = function () {
    parent.layer.close(window.parent.TalentInfo.layerIndex);
}

//人才标签变化
TalentInfoInfoDlg.typeChange = function () {
    var talentType = $("#talentType").val();
    if (talentType == 'gbwszb' || talentType == 'zzbsh' || talentType == 'sydw') {
        $("#letterTime").parent().attr("style", "display:block");
        // }else if(talentType=='gyqyl' || talentType=="gyqyh"){
        //     $("#letterTime").parent().attr("style","display:none");
    } else {
        $("#letterTime").parent().attr("style", "display:none");
    }
}
TalentInfoInfoDlg.sourceChange = function () {
    var source = $("#source").val();
    if (source == 1) {
        $("#fromCityName").parent().attr("style", "display:none");
        $("#qzBatch").parent().attr("style", "display:block");
        $("#qzgccrcActiveTime").parent().attr("style", "display:block");
        $("#certificateStartTime").parent().attr("style", "display:block");
        $("#ourCitySource").parent().attr("style", "display:block");
    }
    if (source == 2) {
        $("#certificateStartTime").parent().attr("style", "display:block");
        $("#qzgccrcActiveTime").parent().attr("style", "display:block");
        $("#fromCityName").parent().attr("style", "display:block");
        $("#qzBatch").parent().attr("style", "display:block");
        $("#ourCitySource").parent().attr("style", "display:none");
    }
    if (source == 3 || source == null || source == '') {
        $("#certificateStartTime").parent().attr("style", "display:none");
        $("#qzgccrcActiveTime").parent().attr("style", "display:none");
        $("#fromCityName").parent().attr("style", "display:none");
        $("#qzBatch").parent().attr("style", "display:none");
        $("#ourCitySource").parent().attr("style", "display:none");
    }
}


TalentInfoInfoDlg.callback = function (data) {
    Feng.info(data.msg);
}

/**
 * 下载附件
 * @param value
 */
TalentInfoInfoDlg.downloadFile = function (id, type) {
    window.location.href = "/common/api/downloadFile?id=" + id + "&type=" + type;
}

TalentInfoInfoDlg.expandRows = function () {
    $(".fileTable").bootstrapTable('expandAllRows')
}

/**
 * 显示审核模态框
 */
TalentInfoInfoDlg.showCommonCheckModal = function () {
    var ajax = new $ax("/admin/talent/validateIsCheck", function (data) {
        if (data.code == 200) {
            layer.open({
                type: 1,
                id: "neewFieldFormModel",
                title: '审核',
                area: ['800px', '350px'], //宽高
                fix: false, //不固定
                shade: 0,
                maxmin: true,
                content: TalentInfoInfoDlg.createNoFieldCheckModal(),
                btn: ['<i class="fa fa-save"></i>&nbsp;&nbsp;提交', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
                btnAlign: 'c',
                zIndex: layer.zIndex,
                success: function (layero, index) {
                    layer.setTop(layero);
                    $("#commonCheckForm")[0].reset();
                    var process = $("#process").val();
                    if (process == 3) {
                        var html = '<option value=""></option>\n' +
                                '                            <option value="3">审核通过</option>\n' +
                                '                            <option value="2">审核驳回</option>';
                        $("#checkStateModal").empty().append(html);
                    }
                    $("#checkStateModal").val(data.obj.checkState);
                    $("#checkMsg").val(data.obj.checkMsg);
                },
                yes: function (index, layero) {
                    TalentInfoInfoDlg.commonCheck(index);
                }
            });
        } else {
            Feng.error(data.msg);
        }
    }, function (data) {
        Feng.error("校验失败!" + data.responseJSON.message + "!");
    });
    ajax.setData({"id": $("#id").val(), "process": $("#process").val(), "companyId": $("#companyId").val()})
    ajax.start();
}

/**
 * 显示初审审核模态框
 */
TalentInfoInfoDlg.showFirstCheckModal = function () {
    var ajax = new $ax("/admin/talent/validateIsCheck", function (data) {
        if (data.code == 200) {
            layer.open({
                type: 1,
                id: "neewFieldFormModel",
                title: '审核',
                area: ['800px', '450px'], //宽高
                fix: false, //不固定
                shade: 0,
                maxmin: true,
                content: TalentInfoInfoDlg.creatFieldCheckModal(),
                btn: ['<i class="fa fa-save"></i>&nbsp;&nbsp;提交', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
                btnAlign: 'c',
                zIndex: layer.zIndex,
                success: function (layero, index) {
                    layer.setTop(layero);
                    var obj = data.obj.talentInfo;
                    var companyList = data.obj.companys;
                    var type = data.obj.type;
                    var fileList = data.obj.fileList;
                    var process = data.obj.process;
                    if (typeof data.obj.fieldList != "undefined" && data.obj.fieldList.length > 0) {
                        var fieldList = data.obj.fieldList;
                        var html1 = '';
                        for (var key in fieldList) {
                            html1 = html1 + '<li style="float:left;margin:0 10px 10px 0;"><input type="checkbox" value="' + fieldList[key]["key"] + '"><span>' + fieldList[key]["value"] + '</span></li>';
                        }
                    }
                    var html2 = '';
                    for (var key in fileList) {
                        html2 = html2 + '<ul><li style="width: 100%"><input type="checkbox" value="' + fileList[key].id + '"><span>' + fileList[key].name + '</span></li></ul>';
                    }
                    var html3 = '';
                    for (var key in companyList) {
                        html3 += '<li style="width: 100%"><input type="checkbox" value="' + companyList[key].id + '"><span>' + companyList[key].name + (companyList[key].uncheck == true ? "<span style='color:#ff0000;'>(上次驳回)</span>" : "") + '</span></li>';
                    }
                    $("#field_info ul").css("overflow", "hidden").empty().append(html1);
                    $("#field_file").css("overflow", "hidden").empty().append(html2);
                    $("#company_list ul").css("overflow", "hidden").empty().append(html3);
                    var another_way_pass_deptverify = (obj.is_fujian_talent == 1 && obj.is_jinjiang_talent == 1) ? true : false;
                    var optionHtml = "";
                    if (process <= 4 && process != 2) {
                        optionHtml = '<option value="">请选择</option>\n' +
                                (obj.highProcess >= 3 && companyList.length > 0 && process == 3 && obj.isMatchZhiren == 0 ? '<option value="5">审核通过(需要再次部门并审)</option>\n' : '<option value="3">审核通过</option>') +
                                (obj.highProcess >= 3 && companyList.length > 0 && process == 3 && obj.isMatchZhiren == 0 ? '<option value="4">审核通过(跳过部门并审)</option>\n' : "") +
                                '                            <option value="2">审核驳回</option>\n' +
                                (type == 5 && process == 3 ? '<option value="6">驳回到分院</option>\n' : '');
                    }
                    if (process == 5 || process == 2) {
                        optionHtml = '<option value="">请选择</option>\n' +
                                '                            <option value="3">审核通过</option>\n' +
                                '                            <option value="2">审核驳回</option>\n' +
                                '                            <option value="-1">审核不通过</option>';
                    }
                    $("#checkStateFirstModal").empty().append(optionHtml);
                    $("#firstCheckForm")[0].reset();
                    $("#checkStateFirstModal").val(data.obj.check.checkState);
                    $("#checkStateFirstModal").trigger("change");
                    $("#checkMsgFirst").val(data.obj.check.msg);
                    if (obj.fields != null && obj.fields != '') {
                        $("#field_info input").each(function () {
                            for (var key in obj.fields) {
                                if ($(this).val() == obj.fields[key]) {
                                    this.checked = true;
                                }
                            }
                        });
                    }
                    if (obj.files != null && obj.files != '') {
                        $("#field_file input").each(function () {
                            for (var key in obj.files) {
                                if ($(this).val() == obj.files[key]) {
                                    this.checked = true;
                                }
                            }
                            //if (obj.files.indexOf($(this).val()) != -1) {
                            //this.checked = true;
                            //}
                        });
                    }
                    if (obj.re_check_companys != null && obj.re_check_companys != '') {
                        $("#company_list input").each(function () {
                            for (var key in obj.re_check_companys) {
                                if ($(this).val() == obj.re_check_companys[key]) {
                                    this.checked = true;
                                }
                            }
                        });
                    }
                },
                yes: function (index, layero) {
                    TalentInfoInfoDlg.firstCheck(index);
                }
            });
        } else {
            Feng.error(data.msg);
        }
    }, function (data) {
        Feng.error("校验失败!" + data.responseJSON.message + "!");
    });
    ajax.setData({"id": $("#id").val(), "process": $("#process").val(), "companyId": $("#companyId").val()})
    ajax.start();
}

TalentInfoInfoDlg.toggledepField = function () {
    var checkState = $("#checkStateModal").val();
    var checkMsg = $("#checkMsg").val();
    if (checkState == 3) {
        if (checkMsg == null || checkMsg == '') {
            $("#checkMsg").val("部门审核通过，待复核");
        }
    } else {
        $("#checkMsg").val("");
    }
}


/**
 * 显示字段或者隐藏字段选择
 */
TalentInfoInfoDlg.toggleField = function () {
    var checkState = $("#checkStateFirstModal").val();
    var checkMsgFirst = $("#checkMsgFirst").val();
    $("#company_list").hide();
    if (checkState == 2 || checkState == 6) {
        $("#field").show();
        $("#checkMsgFirst").val("");
    } else if (checkState == 3 || checkState == 4 || checkState == 5) {
        $("#field").hide();
        $("#field").find("input[type=checkbox]").removeAttr("checked");
        if (checkMsgFirst == null || checkMsgFirst == '' || checkMsgFirst == "等待部门审核") {
            $("#checkMsgFirst").val("审核通过");
        }
        if (checkState == 5) {
            $("#company_list").show();
        }
    } else if (checkState == -1) {
        $("#field").hide();
        $("#checkMsgFirst").val("审核不通过");
    }
}


/**
 * 全选
 */
TalentInfoInfoDlg.checkAll = function () {
    $("#field input").each(function () {
        this.checked = true;
    })
}
/**
 * 反选
 */
TalentInfoInfoDlg.unCheckAll = function () {
    $("#field input").each(function () {
        if (this.checked) {
            this.checked = false;
        } else {
            this.checked = true;
        }
    })
}

/**
 * 审核提交
 */
TalentInfoInfoDlg.commonCheck = function (i) {
    var checkState = $("#checkStateModal").val();
    var checkMsg = $("#checkMsg").val();
    if (checkState == null || checkState == '') {
        Feng.info("请选择审核状态");
        return;
    }
    if (checkMsg == null || checkMsg == '') {
        Feng.info("请填写审核意见");
        return;
    }
    if (locked)
        return;
    locked = true;
    var ajax = new $ax(Feng.ctxPath + "/admin/talent/check", function (data) {
        if (data.code == 200) {
            Feng.success(data.msg);
            // $("#commonModal").modal("hide");
            layer.close(i);
        } else {
            Feng.error(data.msg);
        }
        locked = false;
    }, function (data) {
        Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        locked = false;
    });
    ajax.setData({"id": $("#id").val(), "checkState": checkState, "checkMsg": checkMsg, "process": $("#process").val(), "companyId": $("#companyId").val()})
    ajax.start();
}

/**
 * 初审提交
 */
TalentInfoInfoDlg.firstCheck = function (i) {
    var checkState = $("#checkStateFirstModal").val();
    var checkMsg = $("#checkMsgFirst").val();
    if (checkState == null || checkState == '') {
        Feng.info("请选择审核状态");
        return;
    }
    if (checkMsg == null || checkMsg == '') {
        Feng.info("请填写审核意见");
        return;
    }
    var fields = '';
    var files = '';
    var companys = '';
    $("#field_info li input").each(function (index) {
        if ($(this).is(":checked")) {
            fields = fields + $(this).val() + ",";
        }
    });
    $("#field_file li input").each(function (index) {
        if ($(this).is(":checked")) {
            files = files + $(this).val() + ",";
        }
    });
    $("#company_list li input").each(function (index) {
        if ($(this).is(":checked")) {
            companys += $(this).val() + ",";
        }
    });
    if ((checkState == 2 || checkState == 6) && fields == '' && files == '') {
        Feng.info("请选择可修改的字段或附件！");
        return;
    }
    if (checkState == 5 && companys == "") {
        Feng.info("请选择需要再次审核的部门！");
        return;
    }
    if (locked)
        return;
    locked = true;
    var ajax = new $ax("/admin/talent/check", function (data) {
        if (data.code == 200) {
            // $("#firstModal").modal("hide");
            layer.close(i);
            Feng.success(data.msg);
        } else {
            Feng.error(data.msg);
        }
        locked = false;
    }, function (data) {
        Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        locked = false;
    });
    ajax.setData({"id": $("#id").val(), "checkState": checkState, "checkMsg": checkMsg,
        "process": $("#process").val(), "fields": fields, "files": files, "companys": companys})
    ajax.start();
}


TalentInfoInfoDlg.submitCheck = function () {
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/admin/talent/submitCheck", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                window.parent.TalentInfo.table.refresh();
                TalentInfoInfoDlg.close();
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        });
        ajax.setData({"id": $("#id").val(), "process": $("#process").val(), "companyId": $("#companyId").val()});
        ajax.start();
    }
    Feng.confirm("一旦提交无法修改，是否审核完毕且无误?", operation);
}

TalentInfoInfoDlg.fieldCheckd = function (context) {
    if ($(context).get(0).checked) {
        $(context).parent().next().children()[0].checked = true;
        $(context).parent().next().children().eq(0).trigger("change");
    }
}

TalentInfoInfoDlg.sourceCheckd = function (context) {
    if ($(context).get(0).checked) {
        $("#talentArrangeCheckBox").attr("checked", true);
        $("#talentArrangeCheckBox").trigger("change");
    }
}

TalentInfoInfoDlg.download = function () {
    window.location.href = encodeURI(encodeURI("/common/api/downloadZip?type=1&id=" + $("#id").val()));
}
TalentInfoInfoDlg.creatFieldCheckModal = function () {
    return '<form id="firstCheckForm">\n' +
            '                    <div class="form-group" style="margin: 10px;">\n' +
            '                        <label for="checkState" class="control-label">审核状态</label>\n' +
            '                        <select class="form-control" id="checkStateFirstModal" onchange="TalentInfoInfoDlg.toggleField()">\n' +
            '                            <option value="">请选择</option>\n' +
            '                            <option value="3">审核通过</option>\n' +
            '                            <option value="2">审核驳回</option>\n' +
            '                            <option value="-1">审核不通过</option>\n' +
            '                        </select>\n' +
            '                    </div>\n' +
            '                    <div class="form-group" style="margin: 10px;">\n' +
            '                        <label for="checkMsg" class="control-label" >审核意见</label>\n' +
            '                        <textarea class="form-control" id="checkMsgFirst" placeholder="审核状态属“审核通过”的，仅代表此步骤已操作完成，不代表用户提交的信息符合认定条件。若不符合认定条件的，请写明不符合原因。" rows="6"></textarea>\n' +
            '                        <div id="company_list" style="padding-top:5px;display:none;">\n' +
            '                            <label for="checkMsg" class="control-label">选择需要再次审核的部门</label>\n' +
            '                            <div id="companys">' +
            '                               <ul style="overflow:hidden;list-style:none;"></ul>' +
            '                            </div>' +
            '                        </div>\n' +
            '                        <div id="field" style="padding-top: 5px;display: none">\n' +
            '                            <label for="checkMsg" class="control-label">可修改字段</label>\n' +
            '                            <div id="field_info">\n' +
            '                                <ul style="overflow:hidden;list-style:none;">\n' +
            '                                <li style="width:10%"><input type="checkbox" value="name"><span>姓名</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="sex"><span>性别</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="birthday"><span>出生日期</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="industryField"><span>行业领域</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="address"><span>所属镇街</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="nationality"><span>国籍/地区</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="provinceCode"><span>籍贯省</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="cityCode"><span>籍贯市</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="countyCode"><span>籍贯县</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="cardType"><span>证件类型</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="idCard"><span>证件号码</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="nation"><span>民族</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="politics"><span>政治面貌</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="entryTime"><span>本单位入职时间</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="post"><span>职务</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="startTime"><span>工作合同开始时间</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="endTime"><span>工作合同结束时间</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="highEducation"><span>最高学历</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="graduateSchool"><span>毕业院校</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="major"><span>专业</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="title"><span>职称</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="professionalQualifications"><span>国家职业资格</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="studyAbroad"><span>是否有留学经历</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="phone"><span>手机号码</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="email"><span>电子邮箱</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="bank"><span>开户银行</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="bankNetwork"><span>开户银行网点</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="bankNumber"><span>银行行号</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="bankAccount"><span>银行账号</span></li>\n' +
            '                                <li style="width:31%"><input type="checkbox" value="breakFaith"><span>曾被相关主管部门列为失信个人</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="talentArrange"><span>人才层次</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="identifyCondition"><span>认定条件</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="identifyConditionName"><span>认定条件名称</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="identifyGetTime"><span>认定条件证书取得时间</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="educationAndResume"><span>教育背景及工作简历</span></li>\n' +
            '                                <li style="width:20.5%"><input type="checkbox" value="mainHonours"><span>主要业绩及取得的荣誉</span></li>\n' +
            '                                <li style="width:10%"><input type="checkbox" value="description"><span>备注</span></li>\n' +
            '                                </ul>\n' +
            '                            </div>\n' +
            '                            <label for="checkMsg" class="control-label">可修改附件</label>\n' +
            '                            <div id="field_file">\n' +
            '                            </div>\n' +
            '                            <div class="form-group" style="text-align: center">\n' +
            '                                <button type="button" class="btn btn-primary" onclick="TalentInfoInfoDlg.checkAll()">全选</button>\n' +
            '                                <button type="button" class="btn btn-success" onclick="TalentInfoInfoDlg.unCheckAll()">反选</button>\n' +
            '                            </div>\n' +
            '                        </div>\n' +
            '                    </div>\n' +
            '                </form>';

}

TalentInfoInfoDlg.createNoFieldCheckModal = function () {
    return '<form id="commonCheckForm" >\n' +
            '                    <div class="form-group" style="margin: 10px;">\n' +
            '                        <label for="checkState" class="control-label">审核状态</label>\n' +
            '                        <select class="form-control" id="checkStateModal" >\n' +
            '                            <option value=""></option>\n' +
            '                            <option value="3">审核通过</option>\n' +
            '                            <option value="2">审核驳回</option>\n' +
            '                        </select>\n' +
            '                    </div>\n' +
            '                    <div class="form-group" style="margin: 10px;">\n' +
            '                        <label for="checkMsg" class="control-label">审核意见</label>\n' +
            '                        <textarea class="form-control" id="checkMsg" placeholder="审核状态属“审核通过”的，仅代表此步骤已操作完成，不代表用户提交的信息符合认定条件。若不符合认定条件的，请写明不符合原因。" rows="6"></textarea>\n' +
            '                    </div>\n' +
            '                </form>';
}


$(function () {
    $("select:not(#checkStateModal,#checkStateFirstModal)").each(function () {
        //$(this).attr("disabled", "disabled");
    });
    $("input,textarea").not("#checkMsg,#checkMsgFirst").each(function () {
        $(this).attr("readonly", "readonly");
    });
    TalentInfoInfoDlg.typeChange();
    TalentInfoInfoDlg.sourceChange();
    $('[data-toggle="tooltip"]').tooltip();
    var type = $("#type").val();
    TalentInfoInfoDlg.initFileTable();

    $(".fa").bind("mouseover", function () {
        var htm = $(this).data('msg');
        console.log(htm)
        if (htm != '' && typeof (htm) != "undefined") {
            $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
        } else {
            var id = $(this).data('id');
            html = $("#" + id).html();
            if (id == "shebao") {
                $(this).webuiPopover({title: '详情', content: html, trigger: 'hover', placement: 'right'}).webuiPopover('show');
            } else {
                $(this).webuiPopover({title: '详情', content: html, trigger: 'hover'}).webuiPopover('show');
            }

        }
    });

    /*var source = $("#source").val();
     var columns = 3;
     if (source == 1 || source == 2) {
     columns = 3;
     } else if (source == 3 || source == 4) {
     columns = 4;
     }
     
     $("#source").parents("td").attr("colspan", columns);
     $("#talent_arrange").parents("td").attr("colspan", columns);
     $("#talent_condition").parents("td").attr("colspan", columns - 1);*/

    //$(".ibox-content").viewer({fullscreen: false});
    Feng.getCheckLog("logTable", {"type": CONFIG.project_rcrd, "mainId": $("#id").val(), "typeFileId": "", "active": 1})
});


